I'm running ubuntu linux, I've been interested in ecl for a while but I'm having a bit a of trouble. I once built and installed ecl when I was out searching around for a lisp to use, well I decided to look into it again when I found it that it was now bundled with asdf. I built the new version and installed it and I couldn't use asdf. I then realized that I installed it without removing the old one. Could this be my issue? And if it is anyone have any info on how I can fix it?

Thank You